Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Communication and Mobility Server Java API Reference E14335-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.sdpinternal.parlayx.multimedia_messaging
Class SOAPAttachmentUtil

    java.lang.Object
      oracle.sdpinternal.parlayx.multimedia_messaging.SOAPAttachmentUtil

    public class SOAPAttachmentUtil

extends Object

Nested Class Summary
`protected static class` | `SOAPAttachmentUtil.MimeWrapper`

Field Summary
`static String` | `HEADER_CONTENT_DISPOSITION`
`static String` | `HEADER_CONTENT_TRANSFER_ENCODING`
`static String` | `HEADER_CONTENT_TYPE`

Constructor Summary
`SOAPAttachmentUtil()`

Method Summary
`static javax.activation.DataHandler` | `toDataHandler(javax.xml.soap.AttachmentPart attachment)`
`static SOAPAttachmentUtil.MimeWrapper` | `toMimeWrapper(javax.xml.soap.AttachmentPart attachment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_CONTENT_TYPE

    public static String HEADER_CONTENT_TYPE

### HEADER_CONTENT_DISPOSITION

    public static String HEADER_CONTENT_DISPOSITION

### HEADER_CONTENT_TRANSFER_ENCODING

    public static String HEADER_CONTENT_TRANSFER_ENCODING

Constructor Detail

### SOAPAttachmentUtil

    public SOAPAttachmentUtil()

Method Detail

### toDataHandler

    public static javax.activation.DataHandler toDataHandler(javax.xml.soap.AttachmentPart attachment)
                                                      throws javax.mail.MessagingException

  Throws:
    `javax.mail.MessagingException`

### toMimeWrapper

    public static SOAPAttachmentUtil.MimeWrapper toMimeWrapper(javax.xml.soap.AttachmentPart attachment)
                                                        throws javax.mail.MessagingException

  Throws:
    `javax.mail.MessagingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2009 Oracle Corporation. All Rights Reserved.